# rag_lib

`rag_lib` — это библиотека для построения Retrieval-Augmented Generation (RAG) пайплайнов. Она предоставляет набор модулей для обработки данных, работы с языковыми моделями, генерации ответов и управления всем процессом.

## Возможности

- **Answer Generation:** Модуль генерации ответов, основанный на встроенных моделях.
- **Chunker:** Разделение данных на блоки для дальнейшей обработки.
- **Clearer:** Очистка данных и приведение их к стандартному формату.
- **Converter:** Преобразование данных между форматами.
- **Embedding:** Генерация эмбеддингов для текста с использованием моделей.
- **Indexer:** Индексация данных для эффективного поиска.
- **LLM:** Взаимодействие с крупными языковыми моделями (LLM).
- **Pipeline:** Управление RAG-пайплайнами и их автоматизация.
- **Prompt Augmentation:** Улучшение подсказок (prompts) для взаимодействия с LLM.
- **Retriever:** Извлечение данных, релевантных запросу.

## Установка

Для использования библиотеки добавьте её в ваш проект через PyPI:

```bash
pip install rag_lib
